Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

OS: Ubuntu 12.04 Plesk 11

Hi all, I have a problem during installation of plesk when plesk wants to install more packages from apt.

385 packages need to be installed. 49 packages need to be updated. Sycronizing index file of Debian APT package... ERROR: An error has occured while PREP actions performing

I translated the above string from italian. Official error string could be different.

Can someone help me? Plesk does not give any error code. Simply it says that installation process has aborted.

Thank you so much!

share|improve this question

migrated from stackoverflow.com Mar 20 '13 at 12:31

This question came from our site for professional and enthusiast programmers.

    
run #export PLESK_INSTALLER_DEBUG=1; ./<ai-binary-name-here> --debug and check /tmp/autoinstaller3.log –  Oleg Neumyvakin Mar 20 '13 at 3:36

2 Answers 2

Log into your machine using SSH, then run

sudo apt-get update
sudo apt-get upgrade

and see if this will show you the original error message.

share|improve this answer
    
Thank you! Now it says that 0 packages need to be udated and 379 are missing. It ask me if I want to install or go back to preliminar components list. If I agree with installation it returns the same error. In your opinion should I show all 379 packages and install them manually? –  2creativelab Mar 19 '13 at 10:20
    
No, manually installing packages is only a good solution in few cases. I googled a little bit and your original english message is "An error occurred during performing of installation PREP actions". With googling this you will find some more informations, but anyway only 179 matches, so it's not a very common error. –  user913136 Mar 20 '13 at 11:39
    
Wait a minute, i thought you do some installation within plesk and you have set it up already. So, you are trying to do a completely fresh install of plesk? How did you tried to install it (which command)? Have you added the repository of plesk? deb http://autoinstall.plesk.com/PSA_11.0.9 squeeze all –  user913136 Mar 20 '13 at 12:05
    
I should read better. this is the correct line for your sources.list, if not yet added: deb http://autoinstall.plesk.com/ubuntu/PSA11 precise all –  Eugene Mar 20 '13 at 20:28

Avoid using Ubuntu's own packages with Plesk. You'll potentially break Plesk functionalities. And make sure to run a snapshot before updating the server. :-)

share|improve this answer
2  
Could you please explain in more detail - why Ubuntu packages should not be used? –  pabouk Oct 16 '13 at 15:31

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.